DCT - Get Module CSV Data
curl --request POST \
--url https://api-v2.production.higg.org/api/v1/modulecsv/dct \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-developer-request-token: <api-key>' \
--data '
{
"from": 123,
"size": 123,
"oarIds": [
"<string>"
],
"assessmentIds": [
"<string>"
],
"accountIds": [
"<string>"
],
"accountSacIds": [
"<string>"
],
"status": [],
"verified": true,
"include": [
"<string>"
],
"lastUpdated": 123,
"lastActivityDate": 123,
"lastStatusChange": 123,
"lastASCStatusDate": 123,
"greaterThanYear": 123,
"dctVersion": "<string>",
"filters": [
{
"field": "<string>",
"operator": "<string>",
"value": {}
}
],
"nextPage": "<string>",
"facilityPosted": true,
"sipfacilitytype": [
"<string>"
],
"sort": [
{
"field": "<string>"
}
],
"verificationPosted": 123,
"wildcardSearch": {
"sacId": "<string>",
"accountName": "<string>",
"oarId": "<string>",
"tags": "<string>",
"accountId": "<string>",
"customId": "<string>",
"ffcId": "<string>"
},
"reportingPeriodStart": 123,
"reportingPeriodEnd": 123,
"isBaseMaterialFilter": true
}
'import requests
url = "https://api-v2.production.higg.org/api/v1/modulecsv/dct"
payload = {
"from": 123,
"size": 123,
"oarIds": ["<string>"],
"assessmentIds": ["<string>"],
"accountIds": ["<string>"],
"accountSacIds": ["<string>"],
"status": [],
"verified": True,
"include": ["<string>"],
"lastUpdated": 123,
"lastActivityDate": 123,
"lastStatusChange": 123,
"lastASCStatusDate": 123,
"greaterThanYear": 123,
"dctVersion": "<string>",
"filters": [
{
"field": "<string>",
"operator": "<string>",
"value": {}
}
],
"nextPage": "<string>",
"facilityPosted": True,
"sipfacilitytype": ["<string>"],
"sort": [{ "field": "<string>" }],
"verificationPosted": 123,
"wildcardSearch": {
"sacId": "<string>",
"accountName": "<string>",
"oarId": "<string>",
"tags": "<string>",
"accountId": "<string>",
"customId": "<string>",
"ffcId": "<string>"
},
"reportingPeriodStart": 123,
"reportingPeriodEnd": 123,
"isBaseMaterialFilter": True
}
headers = {
"x-api-key": "<api-key>",
"x-developer-request-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-developer-request-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
from: 123,
size: 123,
oarIds: ['<string>'],
assessmentIds: ['<string>'],
accountIds: ['<string>'],
accountSacIds: ['<string>'],
status: [],
verified: true,
include: ['<string>'],
lastUpdated: 123,
lastActivityDate: 123,
lastStatusChange: 123,
lastASCStatusDate: 123,
greaterThanYear: 123,
dctVersion: '<string>',
filters: [{field: '<string>', operator: '<string>', value: {}}],
nextPage: '<string>',
facilityPosted: true,
sipfacilitytype: ['<string>'],
sort: [{field: '<string>'}],
verificationPosted: 123,
wildcardSearch: {
sacId: '<string>',
accountName: '<string>',
oarId: '<string>',
tags: '<string>',
accountId: '<string>',
customId: '<string>',
ffcId: '<string>'
},
reportingPeriodStart: 123,
reportingPeriodEnd: 123,
isBaseMaterialFilter: true
})
};
fetch('https://api-v2.production.higg.org/api/v1/modulecsv/dct', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Bulk CSV
Get all DCT assessments
Returns CSV-format module data for DCT assessments. This endpoint is not yet in the upstream Swagger.
POST
/
dct
DCT - Get Module CSV Data
Retrieves Data Collection Tool (DCT) assessment data as a CSV stream. This endpoint allows you to perform bulk exports of facility data based on various filters including account IDs, status, and reporting periods.
Request body properties
An array of assessment statuses to query for. Common values include:
ASI: Assessment Submitted - IncompleteASC: Assessment Submitted - CompleteNS: Not StartedVRP: Verification Request Pending
Filter by a list of Worldly account IDs or SAC (Sustainable Apparel Coalition) facility IDs to limit the export to specific facilities.
Filter assessments by their reporting period. Provide Unix timestamps.
Filter for records that have changed status or been updated since the provided timestamp. Timestamps must be in Unix time (milliseconds).
The version of the Converged Assessment Framework (CAF) to include in the export (for example,
1.7, 1.6).Boolean filter for verified (
true) or unverified (false) assessments.Implementation details
- The response is a CSV data stream.
- Large requests may take significant time to process; use filters to limit the result set.
- The
lastStatusChangeandlastUpdatedtimestamps must be in Unix time in milliseconds. - The
reportingPeriodStartandreportingPeriodEndtimestamps must be Unix timestamps.
Retrieving large volumes of assessment data without filters can impact performance. Use
accountIds or lastUpdated filters to keep payloads manageable.Related recipes
Limit bulk CSV data by assessment status and timestamp of last status change
Body
application/json
This interface was referenced by Exports's JSON-Schema via the definition "assessmentRfiPid".
Available options:
fem2017, fem2018, fem2019, fem2020, fem2021, fem2022, fem2023, fem2024, fem2025, fem2026, fslm, brm2019, brm2020, brm2021, brm2022, brm2023, brm2024, brm2025, dct, one2022, ffc This interface was referenced by Exports's JSON-Schema via the definition "assessmentStatus".
Available options:
NS, ASI, ASC, VRP, VRQ, VRE, VRC, VRD, VRF, VRI, ASD Available options:
2.0, 1.7, 1.6, 1.5, 1.4, 1.3 Show child attributes
Show child attributes
Show child attributes
Show child attributes
This interface was referenced by Exports's JSON-Schema via the definition "assessmentRfiPid".
Available options:
fem2017, fem2018, fem2019, fem2020, fem2021, fem2022, fem2023, fem2024, fem2025, fem2026, fslm, brm2019, brm2020, brm2021, brm2022, brm2023, brm2024, brm2025, dct, one2022, ffc Show child attributes
Show child attributes
Response
204
No content
⌘I

